import { InterfaceDeclaration, SourceFile } from 'ts-morph';
export declare class InterfaceDriver {
    static getInterface(sourceFile: SourceFile, interfaceName: string): InterfaceDeclaration | undefined;
    static addInterface(sourceFile: SourceFile, interfaceName: string, properties: {
        name: string;
        type: string;
    }[], { overwrite, }?: {
        overwrite?: boolean;
    }): InterfaceDeclaration | undefined;
    static addProperty(interfaceDeclaration: InterfaceDeclaration, property: {
        name: string;
        type: string;
    }): InterfaceDeclaration;
}
